Name: clockspeed
Summary: Clock speed measurement and manipulation
Version: 0.62
Release: 1
Copyright: See djb@cr.yp.to
Group: Utilities/System
Source0: http://cr.yp.to/clockspeed/clockspeed-%{version}.tar.gz
BuildRoot: /tmp/clockspeed-buildroot
URL: http://cr.yp.to/clockspeed.html
Packager: Bruce Guenter <bruceg@em.ca>

%description
clockspeed uses a hardware tick counter to compensate for a persistently
fast or slow system clock. Given a few time measurements from a reliable
source, it computes and then eliminates the clock skew.

sntpclock checks another system's NTP clock, and prints the results in a
format suitable for input to clockspeed. sntpclock is the simplest
available NTP/SNTP client.

taiclock and taiclockd form an even simpler alternative to SNTP. They
are suitable for precise time synchronization over a local area network,
without the hassles and potential security problems of an NTP server.

This version of clockspeed can use the Pentium RDTSC tick counter or the
Solaris gethrtime() nanosecond counter.

%prep
%setup
conf_cc=`head -1 conf-cc`
echo $conf_cc -I. >conf-cc
mkdir sys
echo '#include </usr/include/sys/time.h>' >sys/time.h
echo '#include </usr/include/time.h>' >>sys/time.h

%build
make

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc,usr/local/clockspeed}
echo $RPM_BUILD_ROOT/usr/local/clockspeed >conf-home
perl -pi -le 's!"/"!"'$RPM_BUILD_ROOT'"!' hier.c
rm -f hier.o auto_home.c auto_home.o install instcheck
make install instcheck
./install
./instcheck

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/*
/usr/local/clockspeed
